Subject: bug#49247: 28.0.50; [Feature Request] Make tab-bar-lines dragable

From: Juri Linkov <[email-masked]>
Date: Tue, 29 Jun 2021 11:30:47 +0300

[Please keep posting to the public list.]

>>> As title. I think this might be useful for people who disable the external
>>> border and use tab-bar as their status bar. I found there is option to
>>> move the frame by draging header-line (the drag-with-header-line frame
>>> parameter), so I think it's reasonable to also support something like
>>> "drag-with-tab-bar-line" for tab-bar-mode users.
>>
>> I guess you meant tab-line, right?  Because the currently draggable
>> header-line corresponds to tab-line, not to tab-bar.  Whereas tab-bar
>> corresponds to tool-bar that is not draggable.
>
> No. I do mean tab-bar, the utility to store window configuration and switch
> between them.
>
> I propose adding draggable feature for tab-bar since I know many people are
> using it.
> For people using tab-bar-mode and disabling the frame title, it would be
> nice to move the frame by dragging the tab-bar.

The problem is that tab-bar is based on tool-bar, but the native tool-bar
doesn't support dragging.  So this feature will be difficult to implement.